Subject: RE: City of Duluth, #106706
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 27 Dec 2001 13:15:17 -0800 (PST)

Update:  This morning I visited with Laura Rupp to check on the status of this payment and she reported this was sent 12/21.  This afternoon I received a check from BP Canada in the amount of $5,443.08 which represents payment in full for these PPAs.  This should clear City of Duluth's A/R.

I cannot believe I am so excited about getting money I have no control over!

 -----Original Message-----
From: 	Forbish, Sherry  
Sent:	Monday, December 17, 2001 9:18 AM
To:	Valley, Lisa; Zadow, Raetta; Carr, James; Barry, Mike
Cc:	Blair, Lynn
Subject:	City of Duluth, #106706

Just heard from Kurt -- he signed off on these a couple of weeks ago, and Sandy King advises these are set to be paid with the next run (12/23) SO, it appears we will be able to clear these invoices with no difficulty.  

Nice way to start a Monday!

 -----Original Message-----
From: 	Forbish, Sherry  
Sent:	Friday, December 14, 2001 1:47 PM
To:	Valley, Lisa
Cc:	Zadow, Raetta; Carr, James
Subject:	City of Duluth, #106706

Lisa, per our telecon this morning, I left a voicemail for Kurt Batenhorst (BP Canada) to determine the status of the payments for the PPAs for December 2000 through April 2001.  Kurt is in Calgary this week and will be returning to the office on Monday, the 17th.

Will update as soon as I talk to him on Monday.  The total is $5,443.08.